#!/bin/bash

if [ -z "${JAVA_DUMPDIR}" ]; then
  echo 'ERROR: JAVA_DUMPDIR is not set'
  exit 1
fi

trap 'echo "SIGTERM caught, exiting"; exit 143' TERM

inotifywait -r "${JAVA_DUMPDIR}" -e close_write & # Wait for files to appear.
wait $!

./build/uploader "${JAVA_DUMPDIR}"
